
GET DATA  /TYPE = TXT
 /FILE = 'L:\Enterprise\MSchneiderGast\Studien - Hauptuntersuchungen\KP-Studie2\Auswertung - Hauptstudie 1\Zustzliche Analysen und Daten\DistanceEffect\RawData1.dat'
 /DELCASE = LINE
 /DELIMITERS = " "
 /ARRANGEMENT = DELIMITED
 /FIRSTCASE = 2
 /IMPORTCASE = ALL
 /VARIABLES =
 ID F2.0
 Tag F1.0
 trial F2.0
 Zahl1 F2.0
 Zahl2 F2.0
 Diff F2.0
 rt F4.0
 corr F1.0
 gemzif F1.0
 gemzifvl F1.0
 gemzifvr F1.0.
CACHE.
EXECUTE.

sel if (corr=2) and (trial>10).
exe.

compute rt=ln(rt).
exe.

sort cases by id tag.
split file layered by id tag.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT rt
  /METHOD=ENTER Diff gemzifvl
  /OUTFILE=COVB('L:\Enterprise\MSchneiderGast\Studien - Hauptuntersuchungen\KP-Studie2\Auswertung - Hauptstudie 1\Zustzliche Analysen und Daten\DistanceEffect\DERegGew.sav') .

*** Daten aggregieren ***.

GET
  FILE='L:\Enterprise\MSchneiderGast\Studien - Hauptuntersuchungen\KP-Studie2\Auswertung - Hauptstudie 1\Zustzliche Analysen und Daten\DistanceEffect\DERegGew.sav'.

if (rowtype_="EST") and (tag=1) DEin1=const_.
if (rowtype_="EST") and (tag=1)  DEslA1=diff.
if (rowtype_="EST") and (tag=1)  DEslD1=gemzifvl.
if (rowtype_="SIG") and (tag=1)  DEsiA1=diff.
if (rowtype_="SIG") and (tag=1)  DEsiD1=gemzifvl.
if (rowtype_="EST") and (tag=2) DEin2=const_.
if (rowtype_="EST") and (tag=2)  DEslA2=diff.
if (rowtype_="EST") and (tag=2)  DEslD2=gemzifvl.
if (rowtype_="SIG") and (tag=2)  DEsiA2=diff.
if (rowtype_="SIG") and (tag=2)  DEsiD2=gemzifvl.
if (rowtype_="EST") and (tag=3) DEin3=const_.
if (rowtype_="EST") and (tag=3)  DEslA3=diff.
if (rowtype_="EST") and (tag=3)  DEslD3=gemzifvl.
if (rowtype_="SIG") and (tag=3)  DEsiA3=diff.
if (rowtype_="SIG") and (tag=3)  DEsiD3=gemzifvl.
exe.

AGGREGATE
  /OUTFILE=*
  /BREAK=ID
  /DEinter1 = MEAN(DEin1)
  /DEslopeA1 = MEAN(DEslA1)
  /DEslopeD1 = MEAN(DEslD1)
  /DEsignA1 = MEAN(DEsiA1)
  /DEsignD1 = MEAN(DEsiD1)
  /DEinter2 = MEAN(DEin2)
  /DEslopeA2 = MEAN(DEslA2)
  /DEslopeD2 = MEAN(DEslD2)
  /DEsignA2 = MEAN(DEsiA2)
  /DEsignD2 = MEAN(DEsiD2)
  /DEinter3 = MEAN(DEin3)
  /DEslopeA3 = MEAN(DEslA3)
  /DEslopeD3 = MEAN(DEslD3)
  /DEsignA3 = MEAN(DEsiA3)
  /DEsignD3 = MEAN(DEsiD3).

RECODE
  DEsignA1 DEsignD1 DEsignA2 DEsignD2 DEsignA3 DEsignD3 (Lowest thru 0.05=1)  (0.051 thru Highest=0) (ELSE=SYSMIS)  .
EXECUTE .

var lab DEinter1 'Distance effect: Intercept (Tag 1)'.
var lab DEslopeA1 'Distance effect: Linear influence of digits (Tag 1)'.
var lab DEslopeD1 'Distance effect: Linear influence of distance (Tag 1)'.
var lab DEsignA1 'Distance effect: Significance of digits (Tag 1)'.
var lab DEsignD1 'Distance effect: Significance of distance (Tag 1)'.
var lab DEinter2 'Distance effect: Intercept (Tag 2)'.
var lab DEslopeA2 'Distance effect: Linear influence of digits (Tag 2)'.
var lab DEslopeD2 'Distance effect: Linear influence of distance (Tag 2)'.
var lab DEsignA2 'Distance effect: Significance of digits (Tag 2)'.
var lab DEsignD2 'Distance effect: Significance of distance (Tag 2)'.
var lab DEinter3 'Distance effect: Intercept (Tag 3)'.
var lab DEslopeA3 'Distance effect: Linear influence of digits (Tag 3)'.
var lab DEslopeD3 'Distance effect: Linear influence of distance (Tag 3)'.
var lab DEsignA3 'Distance effect: Significance of digits (Tag 3)'.
var lab DEsignD3 'Distance effect: Significance of distance (Tag 3)'.
exe.

val lab DEsignA1 DEsignD1 DEsignA2 DEsignD2 DEsignA3 DEsignD3 
	0	'nicht signifikant'
	1	'signifikant'.
exe.

CROSSTABS
  /TABLES=DEsignA1  BY DEsignD1
  /FORMAT= AVALUE TABLES
  /CELLS= COUNT TOTAL
  /COUNT ROUND CELL .

CROSSTABS
  /TABLES=DEsignA2  BY DEsignD2
  /FORMAT= AVALUE TABLES
  /CELLS= COUNT TOTAL
  /COUNT ROUND CELL .

CROSSTABS
  /TABLES=DEsignA3  BY DEsignD3
  /FORMAT= AVALUE TABLES
  /CELLS= COUNT TOTAL
  /COUNT ROUND CELL .

CROSSTABS
  /TABLES=DEsignD1  BY DEsignD2
  /FORMAT= AVALUE TABLES
  /CELLS= COUNT TOTAL
  /COUNT ROUND CELL .

CROSSTABS
  /TABLES=DEsignA1  BY DEsignA2
  /FORMAT= AVALUE TABLES
  /CELLS= COUNT TOTAL
  /COUNT ROUND CELL .

SAVE OUTFILE='L:\Enterprise\MSchneiderGast\Studien - Hauptuntersuchungen\KP-Studie2\Auswertung - Hauptstudie 1\Zustzliche Analysen und Daten\DistanceEffect\DE-Values.sav'
  /DROP=DEinter1 DEinter2 DEinter3
  /COMPRESSED.
